Index: SPECS/kernel-2.6.spec
===================================================================
--- SPECS.orig/kernel-2.6.spec
+++ SPECS/kernel-2.6.spec
@@ -232,6 +232,11 @@ Summary: The Linux kernel (the core of t
 %define xen_image vmlinux.gz
 %endif
 
+%ifarch %{arm}
+%define all_arch_configs $RPM_SOURCE_DIR/kernel-%{kversion}-arm*.config
+%define hdrarch arm
+%endif
+
 # To temporarily exclude an architecture from being built, add it to
 # %nobuildarches. Do _NOT_ use the ExclusiveArch: line, because if we
 # don't build kernel-headers then the new build system will no longer let
@@ -240,7 +245,7 @@ Summary: The Linux kernel (the core of t
 
 # We don't build a kernel on i386 or s390x -- we only do kernel-headers there.
 # We also don't support s390, iseries and ia64 on Fedora.
-%define nobuildarches i386 s390 s390x ppc64iseries ia64
+%define nobuildarches i386 s390 s390x ppc64iseries ia64 %{arm}
 
 %ifarch %nobuildarches
 %define with_up 0
@@ -286,13 +291,13 @@ Name: kernel
 Group: System Environment/Kernel
 License: GPLv2
 Version: %{rpmversion}
-Release: %{release}
+Release: %{release}.fa1
 %if 0%{?olpc}
 ExclusiveArch: i386 i586
 %else
 # DO NOT CHANGE THIS LINE TO TEMPORARILY EXCLUDE AN ARCHITECTURE BUILD.
 # SET %nobuildarches (ABOVE) INSTEAD
-ExclusiveArch: noarch %{all_x86} x86_64 ppc ppc64 ppc64iseries ia64 sparc sparc64 s390 s390x
+ExclusiveArch: noarch %{all_x86} x86_64 ppc ppc64 ppc64iseries ia64 sparc sparc64 s390 s390x %{arm}
 %endif
 ExclusiveOS: Linux
 Provides: kernel-drm = 4.3.0
@@ -359,6 +364,8 @@ Source38: kernel-%{kversion}-i686-xen.co
 Source39: kernel-%{kversion}-x86_64-xen.config
 Source40: kernel-%{kversion}-ia64-xen.config
 
+Source50: kernel-%{kversion}-arm.config
+
 #Source66: kernel-%{kversion}-sparc.config
 #Source67: kernel-%{kversion}-sparc64.config
 #Source68: kernel-%{kversion}-sparc64-smp.config
